org.richfaces.renderkit

## Class TreeRenderingContext.Handlers

- java.lang.Object
- - org.ajax4jsf.javascript.ScriptStringBase
  - - org.richfaces.renderkit.TreeRenderingContext.Handlers

- All Implemented Interfaces:
    org.ajax4jsf.javascript.ScriptString
  Enclosing class:
    TreeRenderingContext

      public static final class TreeRenderingContext.Handlers
      extends org.ajax4jsf.javascript.ScriptStringBase

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.javascript.ScriptStringBase

      `COLON, COMMA, DOT, EMPTY_STRING, EQUALS, FUNCTION, LEFT_CURLY_BRACKET, LEFT_ROUND_BRACKET, LEFT_SQUARE_BRACKET, RIGHT_CURLY_BRACKET, RIGHT_ROUND_BRACKET, RIGHT_SQUARE_BRACKET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeRenderingContext.Handlers()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendScript(Appendable target)`
    `protected Object` | `chain(String firstHandler, String secondHandler)`
    `String` | `getBeforeNodeToggleHandler()`
    `String` | `getBeforeToggleHandler()`
    `String` | `getNodeToggleHandler()`
    `String` | `getToggleHandler()`
    `void` | `setBeforeNodeToggleHandler(String beforeNodeToggleHandler)`
    `void` | `setBeforeToggleHandler(String beforeToggleHandler)`
    `void` | `setNodeToggleHandler(String nodeToggleHandler)`
    `void` | `setToggleHandler(String toggleHandler)`

    - ### Methods inherited from class org.ajax4jsf.javascript.ScriptStringBase

      `appendScriptToStringBuilder, toScript, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeRenderingContext.Handlers

          public TreeRenderingContext.Handlers()

  - ### Method Detail

    - #### chain

          protected Object chain(String firstHandler,
                     String secondHandler)

    - #### setToggleHandler

          public void setToggleHandler(String toggleHandler)

    - #### getToggleHandler

          public String getToggleHandler()

    - #### setNodeToggleHandler

          public void setNodeToggleHandler(String nodeToggleHandler)

    - #### getNodeToggleHandler

          public String getNodeToggleHandler()

    - #### setBeforeToggleHandler

          public void setBeforeToggleHandler(String beforeToggleHandler)

    - #### getBeforeToggleHandler

          public String getBeforeToggleHandler()

    - #### setBeforeNodeToggleHandler

          public void setBeforeNodeToggleHandler(String beforeNodeToggleHandler)

    - #### getBeforeNodeToggleHandler

          public String getBeforeNodeToggleHandler()

    - #### appendScript

          public void appendScript(Appendable target)
                            throws IOException

      Throws:
        `IOException`

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.